# This is the Pod-Bot Config File (for HL Counter-Strike)
#
# Any line begining with '#' in the first column is a comment line
#
# Make sure no Line exceeds 80 Characters !!!
#
# The following commands are supported in the bot.cfg file:
#
# All arguments in square Brackets are optional if you don't
# specify them a random value will be chosen
#
#
# pb_minbots <value> - configure the minimum number of bots that will run
#      on this dedicated server.
#
# pb_maxbots <value> - configure the maximum number of bots that will run
#      on this dedicated server.
#
# pb_minbotskill <value> - Sets the minimum Skill if Bots are created without
#			specifying the Skill (0-100)
# pb_maxbotskill <value> - Sets the maximum Skill if Bots are created without
#			specifying the Skill. Must be bigger than minbotskill
#			of course !
#
# pb_chat <1|0> - Turns on/off Botchatting. Bots chat if they killed
#                    someone, if the Bomb was planted or if they are dead
#                    and bored. NOTICE: BotChat.txt must be there even if
#		     Botchat is turned off !
#
# add [skill] [personality] [team] [name] - Adds a Bot using a Skill 
#      from 0-100, personality is 1 Normal , 2 Aggresive , 3 Deffensive 
#      team is 1 for Terrorists, 2 for Counter Terrorists and 5 to       
#      use auto-assign, name is of course the name for this Bot
#      If you don't specify the arguments, a random skill will be
#      chosen and the Bot will be auto-assigned with a Name he chooses
#      randomly from "Botnames.txt". You can edit this File to add some
#      names you like better ! NOTICE: Don't delete BotChat.txt ! It will
#      be used !
#
#
# pb_jasonmode <1|0> - Turns on/off Jason Mode ! Meaning Bots don't buy
#		       weapons and only use the knife for combat ! Greets
#		       to Auxois ! (Thanks for hosting btw.) Use this for
#		       much fun with e.a. cs_estate or cs_office
#
#
# pb_wptfolder <folder> - Sets the default Folder for loading/saving Waypoint
#		       Files. This folder HAS to be inside the POD-Bot
#		       Directory ! Don't put it into quotation marks and
#		       don't use spaces or a trailing backslash !
#
# pb_detailnames <1|0> - Turns on/off the Skilldisplay behind names and the
#			 [POD] before the name
#
# pb_numfollowuser <number> - Sets the maximum number of Bots in the team to
#			    follow the same user (when Radio Command
#			    "Follow Me" is used). Default is 3
#
# pb_maxweaponpickup <number> - Sets the maximum number of weapons Bots are
#			     allowed to pickup during a round
#
#
# pb_shootthruwalls <1|0> - This Variable specifies if Bots are allowed to
#			    shoot through Walls if they saw an enemy or if
#			    they heard someone on the other Side of a Wall
#
# pb_usespeech <1|0> -	Turns on/off usage of HL Engine Speech Synthesis


# This sets the Waypoint Folder (in the POD-Bot Directory)
# for loading/saving waypoints. Don't use a trailing backslash or spaces.
# This doesn't work for the first game you create (default is wptdefault).
# But when creating for the second time (or loading with newmap) this
# directory will be used.  
pb_wptfolder wptdefault

# Set the value to 1 to turn on welcome messages at start the game
pb_welcomemsgs 0

# Use this to turn on/off the Speech Synthesis
pb_usespeech 0

# These 2 lines below supports a minimum and maximum number 
# of bots running on a server.  Bots will be added to the server
# until the total number of players (bots and humans) reaches the
# max_bots value.  Each time a new player joins the server, a bot will be
# kicked from the server unless there are only min_bots number of bots
# currently on the server.  After players disconnect from the server, bots
# will be automatically added back to the server until the total number
# of players reaches max_bots again.  You should make max_bots be AT LEAST
# one less than the maxplayers value (otherwise no one will be able to join
# your server).
# These 2 cvars below are limits for the function pb fillserver 
# and pb removebots.
# You can stop this function by writing pb_maxbots = 0.
# Ths function is also not working in the case if pb_bot_quota_match 
# is grater than 0 (in that case amount of bots follow the number
# humans * pb_bot_quota_match - of course in the min/maxbots limit).
pb_minbots 3
pb_maxbots 4

pb_bot_quota_match 0

# Changing the setting below forces bots joining to certain team.
# Useful if You want to have always bots in one team against humans.
# Argument values: "ANY", "T", "CT"
pb_bot_join_team "ANY"

# Changing the setting below forces bots using the specyfied skin - the same
# for all bots from one team - regardless of pb add or pb fillserver 
# parameters.
# Useful if You want to have always bots in one team with the same skin.
# Argument values: 1,2,3,4 - they are foreced skins, 5 - default - no forcing
pb_skin 5

# These Settings below specify the Rate (in Seconds) of updating
# some of the Bot Checks. If you've got a slow computer you could
# try changing these to higher values to get some performance back.
# NOTE: This seriously affects the Bots Perception. If you have a
# fast computer you might try lowering them to get better even
# better playing results
pb_timer_sound 0.5
pb_timer_pickup 0.3
pb_timer_grenade 0.5

# Set this to 0 to disallow Bot Logo Spraying
pb_spray 0

# Set this to 1 to switch on the Free For All mode
# (The bots will also kill their teammates)
pb_ffa 0

# This Variable specifies if Bots are allowed to shoot through Walls
# if they saw an enemy or if they heard someone on the other Side of
# a Wall (additional Settings are specified in "botskill.cfg")
pb_shootthruwalls 0

# passwordkey - need set as setinfo to get access to main podbot menu
# usage (in below example You may need to write Your-own passwordkey instead
# _pbadminpw - if You changed the default setting for it):
# setinfo _pbadminpw "your_password"
pb_passwordkey "_gestapo"

# Set the password to have access to podbot menu on DS by 'pb menu' 
# console command typed in client's admin PC or called from the binded key.
# Example of bind on Your client PC:
# bind "=" "pb menu"
pb_password "gestapo"

# This value sets the maximum number of Bots to follow a user
pb_numfollowuser 1

# Remove the Comments on the Line below to add Bots that have at least 
# a Skill You want
pb_minbotskill 60

# Remove the Comments on the Line below to limit Bots to the specified skill
pb_maxbotskill 70

# This value sets the maximum number of weapons Bots are allowed to
# pickup during one round
pb_maxweaponpickup 10

# Set the below value to delay bots re-join after new map start
pb_mapstartbotdelay 10

# Set the below value to 1 to enable auto kill bots if all human players
# are dead already (default is 0)
pb_autokill 1

# Set the below value to to delay (in seconds) autokill bots if 
# autokill is enabled - above (default is 45s)
pb_autokilldelay 20

# Remove the Comments on the Line below to turn on Jason Mode !
# pb_jasonmode 1

# Set the below option to 0 to turn off the Skilldisplay and
# the [POD] before the name
pb_detailnames 0

# The setting below specifies the danger factor with which the bots
# will weighten any waypoint where they have been killed in the past,
# in order to avoid it later. The higher the value, the more the bot
# will care about these waypoints and pick other routes instead.
# Progression is logarithmic. Warning: higher values require more CPU.
pb_dangerfactor 800

# Switches to on/off Botchatting
pb_chat 0

# Switches to on/off radio command usage and reacting for bots
# (switching it off will affect - for example - they will not follow
# the user !!!)
pb_radio 0

# pb_aim_type 1-4 (default 4)
# 1 = inhuman turns
# 2 = constant angle velocity
# 3 = botaim1
# 4 = botaim2
pb_aim_type 4

# The line below binds the User Menu to the "=" key. Of course you
# can bind this to any key you like. 
bind "=" "pb menu"

# VERTICAL (up/down) spring stiffness of the aiming system. This value affects
# the quickness of the crosshair movement, as well as the frequency of
# the resulting oscillations.(default: 13.0)
pb_aim_spring_stiffness_x 13.0

# HORIZONTAL (left/right) spring stiffness of the aiming system. This value 
# affects the quickness of the crosshair movement, as well as the frequency of
# the resulting oscillations. (default: 13.0)
pb_aim_spring_stiffness_y	13.0

# VERTICAL (up/down) damping coefficient of the aiming system. This value also
# affects the quickness of the crosshair movement, and the amplitude of
# the resulting oscillations.(default: 0.22)
pb_aim_damper_coefficient_x 0.22

# HORIZONTAL (left/right) damping coefficient of the aiming system. This value
# also affects the quickness of the crosshair movement, and the amplitude of
# the resulting oscillations.(default: 0.22)
pb_aim_damper_coefficient_y 0.22

# VERTICAL (up/down) error margin of the aiming system. This value affects how
# far (in game length units) the bot will allow its crosshair to derivate from
# the ideal direction when not targeting any player in particular.
# (default: 2.0)
pb_aim_deviation_x 2.0

# HORIZONTAL (left/right) error margin of the aiming system. This value affects
# how far (in game length units) the bot will allow its crosshair to derivate
# from the ideal direction when not targeting any player in particular.
# (default: 1.0)
pb_aim_deviation_y 1.0

# Perpendicular influence of the vertical axis on a HORIZONTAL movement. This 
# value affects how much (in fraction of 1) the bot will be disturbed when
# moving its crosshair on an axis by the inherent movement on the other axis.
# (default: 0.25)
pb_aim_influence_x_on_y 0.25

# Perpendicular influence of the horizontal axis on a VERTICAL movement. This
# value affects how much (in fraction of 1) the bot will be disturbed when 
# moving its crosshair on an axis by the inherent movement on the other axis.
# (default: 0.17)
pb_aim_influence_y_on_x 0.17

# Maximal value in seconds after which the aiming system will re-evaluate its
# ideal direction. This affects how often a bot will attempt to correct an
# imprecise crosshair placement by moving the crosshair inside the error
# margin bounds defined by the botaim_deviation CVARs.(default: 1.2)
pb_aim_offset_delay 1.2

# Fraction of the full speed the aiming system will adopt as speed when aiming
# at nothing in particular. This affects how slow the bot will move its
# crosshair when targeting nobody, relatively to its full speed capacity.
# (default: 0.5)
pb_aim_notarget_slowdown_ratio 0.5

# Fraction of the estimated target's velocity the aiming system will rely on
# when aiming at a moving target. This affects how well the bot will be able
# to track moving targets on the fly, and whether it will have a tendancy 
# to aim ahead of it or behind it. (default: 2.2)
pb_aim_target_anticipation_ratio 2.2

# Weapons, equipment and ammo restriction (for buying)
# bit numbers meaning - the left one is the 0 in that string cvar
# Pistols restriction
# 0 - KNIFE
# 1 - USP
# 2 - GLOCK18
# 3 - DEAGLE
# 4 - P228
# 5 - ELITE
# 6 - FIVESEVEN
# Shotgun restrictions
# 7 - M3
# 8 - XM1014
# SMG restrictions
# 9 - MP5NAVY
# 10 - TMP
# 11 - P90
# 12 - MAC10
# 13 - UMP45
# Rifles restrictions
# 14 - AK47
# 15 - SG552
# 16 - M4A1
# 17 - GALIL
# 18 - FAMAS
# 19 - AUG
# 20 - SCOUT
# 21 - AWP
# 22 - G3SG1
# 23 - SG550
# Machine Gun restriction
# 24 - M249
# Shield restriction
# 25 - SHIELD
pb_restrweapons "00000000000000000000000000"

# 0 - vest
# 1 - vest and helmet
# 2 - flashbang
# 3 - he grenade
# 4 - smoke grenade
# 5 - defuser
# 6 - night vision googles
# 7 - primary ammo
# 8 - secondary ammo
pb_restrequipammo "000000000"

# Remove the comments on the lines below to have Bots
# join automatically if you start a new map

pb add 70
pb add 70
pb add 70
pb add 70
pb add 70
pb add 70
pb add 70
